# salt.modules.telegram

Module for sending messages via Telegram.

configuration:

  In order to send a message via the Telegram, certain configuration is required in /etc/salt/minion on the relevant minions or in the pillar. Some sample configs might look like:

      telegram.chat_id: '123456789'
      telegram.token: '00000000:xxxxxxxxxxxxxxxxxxxxxxxx'

salt.modules.telegram.post_message(message, chat_id=None, token=None)

  Send a message to a Telegram chat.

  Parameters:

    - message -- The message to send to the Telegram chat.

    - chat_id -- (optional) The Telegram chat id.

    - token -- (optional) The Telegram API token.

  Returns:

    Boolean if message was sent successfully.

  CLI Example:

      salt '*' telegram.post_message message="Hello Telegram!"